package com.fjhx.flow.entity.flow.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 流程节点定义
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
@Getter
@Setter
@TableName("flow_definition_node")
public class FlowDefinitionNode extends BaseIdPo {

    /**
     * 流程定义id
     */
    private Long flowDefinitionId;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 节点类型 1开始 2审核 3审批 4办理 5分支 99结束
     */
    private Integer nodeType;

    /**
     * 跳转条件
     */
    private String jumpCondition;

    /**
     * 父节点id
     */
    private Long parentId;

    /**
     * 处理方法
     */
    private String handlingMethod;

    /**
     * 发起 / 处理对象类型（1用户 2角色 3部门）
     */
    private Byte handleObjectType;

    /**
     * 指定对象id集合
     */
    private String handleObjectIdSet;

}
