package com.fjhx.flow.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum HandleType {

    NEXT(1, "跳转下一节点"),
    PREVIOUS(2, "返回上一节点"),
    OVER(3, "结束流程"),
    ;

    private final Integer key;

    private final String value;

    private static final Map<Integer, HandleType> map = new HashMap<>();

    static {
        for (HandleType value : HandleType.values()) {
            map.put(value.getKey(), value);
        }
    }

    public static HandleType getEnum(Integer key) {
        HandleType handleType = map.get(key);
        if (handleType == null) {
            throw new ServiceException("未知处理方法");
        }
        return handleType;
    }

}
